Vamos a ver cómo solucionar el error «IMPACT: Oracle Solaris is not running with Spectre Vulnerability Mitigation Enabled«, que aparece cuando intentamos instalar Solaris 11 en VirtualBox.


 



 

 
Cuando intentamos instalar Solaris 11 en VirtualBox, recibiremos el error:
 

 

IMPACT: Oracle Solaris is not running with Spectre Vulnerability Mitigation Enabled


 
IMPACT: Oracle Solaris is not running with Spectre Vulnerability Mitigation Enable
 

 

Hemos de habilitar una opción en VirtualBox para poder instalar Solaris 11.
 

Abrimos la consola y buscamos el directorio donde está instalado VirtualBox.
 

TE RECOMENDAMOS  Instalar Solaris 11 en VirtualBox

Ya ahí, ejecutamos:

Vbox Manage.exe list vm

 

De esta forma se listarán todas las máquinas virtuales que tengamos instaladas en VirtualBox, y buscaremos nuestra máquina Solaris (en este caso está en la última línea):



Vbox Manage.exe list vm

 

Y a continuación ejecutamos lo siguiente en la terminal (para habilitar la mitigación de la vulnerabilidad de Spectre.):

VBoxManage.exe modifyvm "nombre maquina" --spec-ctrl on

 
Solaris - VBoxManage.exe modifyvm --spec-ctrl on

 

También deberíamos aumentar la RAM disponible para la máquina virtual Solaris, y configurar la máxima posible.
 

TE RECOMENDAMOS  Instalar Solaris 11 en VirtualBox

Hecho esto, iniciamos la máquina virtual Solaris de nuevo y podremos comenzar el proceso de instalación de la máquina sin errores:

Instalación de Solaris 11 - Welcome to Oracle Solaris

 

En este punto, tras habilitar la mitigación de la vulnerabilidad de Spectre para Solaris, comprobamos que la ISO está cargando correctamente en VirtualBox y podemos comenzar a instalar Solaris 11.

 




Etiquetas del articulo: ,